package cn.skcks.study.springcloud.kafka.consumer.services;


import lombok.extern.slf4j.Slf4j;
import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.kafka.support.Acknowledgment;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class MQListener {

    @KafkaListener(topics = {"test"},groupId = "test-group")
    public void onMessage(ConsumerRecord<String, String> record, Acknowledgment ack) {
        log.info("消费消息: 主题 {} 分片 {} ",record.topic(),record.partition());
        log.info("key {}, value {}",record.key(),record.value());
        ack.acknowledge();
    }
}
